(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.behaviors.virtuousClipboard = {
    attach: function (context, settings) {
      once('virtuous-clipboard', drupalSettings.virtuousPersonalization.clipboardSelector, context).forEach(function (element) {
        // Get the textarea
        var $textarea = $(element);
        
        // Create a button with proper Drupal classes
        var $button = $('<button/>', {
          'type': 'button',
          'class': 'button js-form-submit form-submit',
          'text': Drupal.t('Copy'),
          'click': function(e) {
            e.preventDefault();
            $textarea.select();
            document.execCommand('copy');
            
            // Visual feedback
            var originalText = $(this).text();
            $(this).text(Drupal.t('Copied!'));
            setTimeout(function() {
              $button.text(originalText);
            }, 1500);
            
            return false;
          }
        });
        
        // Add the button to a proper container div
        var $container = $('<div/>', {
          'class': 'form-actions js-form-wrapper form-wrapper'
        }).append($button);
        
        // Add the container after the description
        var $description = $textarea.parent().find('.description');
        if ($description.length) {
          $container.insertAfter($description);
        } else {
          $container.insertAfter($textarea);
        }
      });
    }
  };
})(jQuery, Drupal, drupalSettings);
