<?php

namespace Drupal\virtuous;

/**
 * Defines constants for the Virtuous module.
 */
class VirtuousConstants {

  /**
   * API modes.
   */
  const API_MODE_TEST = 'test';
  const API_MODE_LIVE = 'live';

  /**
   * Synchronization frequencies.
   */
  const SYNC_FREQUENCY_NEVER = 'never';
  const SYNC_FREQUENCY_DAILY = 'daily';
  const SYNC_FREQUENCY_WEEKLY = 'weekly';
  const SYNC_FREQUENCY_MONTHLY = 'monthly';

  /**
   * Virtuous API base URL.
   */
  const API_BASE_URL = 'https://api.virtuoussoftware.com/';

  /**
   * Virtuous API endpoints.
   */
  const API_ENDPOINT_CONTACT_QUERY = 'api/Contact/Query';
  const API_ENDPOINT_CONTACT = 'api/Contact/';
  const API_ENDPOINT_CONTACT_COUNT = 'api/Contact/Count';

  /**
   * Default synchronization batch size.
   */
  const SYNC_BATCH_SIZE = 50;

  /**
   * Contact type vocabulary and terms.
   */
  const VOCABULARY_CONTACT_TYPE = 'contact_type';
  const TERM_CONTACT_TYPE_HOUSEHOLD = 'Household';
  const TERM_CONTACT_TYPE_ORGANIZATION = 'Organization';
  const TERM_CONTACT_TYPE_FOUNDATION = 'Foundation';
  
  /**
   * Custom contact type vocabulary.
   */
  const VOCABULARY_CUSTOM_CONTACT_TYPE = 'custom_contact_type';

  /**
   * Marital status vocabulary and terms.
   */
  const VOCABULARY_MARITAL_STATUS = 'marital_status';
  const TERM_MARITAL_STATUS_DIVORCED = 'Divorced';
  const TERM_MARITAL_STATUS_MARRIED = 'Married';
  const TERM_MARITAL_STATUS_SEPARATED = 'Separated';
  const TERM_MARITAL_STATUS_SINGLE = 'Single';
  const TERM_MARITAL_STATUS_WIDOWED = 'Widowed';

  /**
   * Gender vocabulary and terms.
   */
  const VOCABULARY_GENDER = 'gender';
  const TERM_GENDER_MALE = 'Male';
  const TERM_GENDER_FEMALE = 'Female';
}
