<?php

/**
 * @file
 * Post update functions for the Virtuous module.
 */

use Drupal\Component\Serialization\Yaml;

/**
 * Ensures the Virtuous Contacts view is installed.
 */
function virtuous_post_update_install_virtuous_contacts_view() {
  // Check if the view already exists
  $view_exists = \Drupal::configFactory()->get('views.view.virtuous_contacts')->isNew() === FALSE;
  
  if (!$view_exists) {
    // Import the view configuration manually
    $module_path = \Drupal::service('extension.list.module')->getPath('virtuous');
    $view_config_path = $module_path . '/config/optional/views.view.virtuous_contacts.yml';
    
    if (file_exists($view_config_path)) {
      $view_config = Yaml::decode(file_get_contents($view_config_path));
      \Drupal::configFactory()->getEditable('views.view.virtuous_contacts')->setData($view_config)->save(TRUE);
      return t('Virtuous Contacts view has been installed.');
    }
    else {
      return t('Virtuous Contacts view configuration file not found.');
    }
  }
  
  return t('Virtuous Contacts view already exists, no action taken.');
}
